unit Demofrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, DBBC, Printers;

type
  TfmDemo = class(TForm)
    DBBarCode1: TDBBarCode;
    Panel: TPanel;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    cbType: TComboBox;
    ckReadable: TCheckBox;
    cbOrientation: TComboBox;
    edData: TEdit;
    btUpdate: TBitBtn;
    btClose: TBitBtn;
    btPrint: TBitBtn;
    btFont: TBitBtn;
    ckTransparent: TCheckBox;
    ckBorder: TCheckBox;
    cbDensity: TComboBox;
    cbTextAlignment: TComboBox;
    ckShowCtrlsChars: TCheckBox;
    FontDialog: TFontDialog;
    Panel1: TPanel;
    procedure btUpdateClick(Sender: TObject);
    procedure btFontClick(Sender: TObject);
    procedure btPrintClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    procedure RepositionCode;
  public
    { Public declarations }
  end;

var
  fmDemo: TfmDemo;

implementation

{$R *.DFM}

procedure TfmDemo.btUpdateClick(Sender: TObject);
begin
  with DBBarCode1 do
  begin
    case cbOrientation.ItemIndex of
      0 : Code.Direction := Horizontal;
      1 : Code.Direction := Vertical;
    end;
    Code.Caption := edData.Text;
    Code.Symbology:=TBarCodeType(cbType.ItemIndex);
    Code.TextOn := ckReadable.Checked;
    Code.Transparent := ckTransparent.Checked;
    Code.Border:=ckBorder.Checked;
    Code.Density:=TDensity(cbDensity.ItemIndex);
    Code.TextAlignment:=TAlignment(cbTextAlignment.ItemIndex);
  end;
  RepositionCode;
end;

procedure TfmDemo.RepositionCode;

begin
 if DBBarCode1.Code.Direction=Horizontal then
 begin
  DBBarCode1.Height:=80;
 end else
 begin
  DBBarCode1.Width:=80;
 end;
 DBBarCode1.Refresh;
 DBBarCode1.Left := (fmDemo.Width - DBBarCode1.Width) div 2;
 DBBarCode1.Top := ((fmDemo.Height-Panel.Height) - DBBarCode1.Height) div 2;
end;

procedure TfmDemo.btFontClick(Sender: TObject);
begin
  with FontDialog do
  begin
    Font := DBBarcode1.Font;
    if Execute then
      DBBarcode1.Font := Font;
  end;
end;

procedure TfmDemo.btPrintClick(Sender: TObject);
begin
  with Printer do
  begin
    BeginDoc;
    { It's this easy to print your barcode!  Specify the X and Y positions in inches.}
    DBBarCode1.PrintBarcode(500,500);
    EndDoc;
  end;
end;

procedure TfmDemo.FormCreate(Sender: TObject);
begin
  cbType.Items:=FBarCodeNames;
  edData.Text:=DBBarCode1.Code.Caption;
  cbType.ItemIndex := Integer(DBBarCode1.Code.Symbology);
  cbOrientation.ItemIndex := Integer(DBBarCode1.Code.Direction);
  cbDensity.ItemIndex:=Integer(DBBarCode1.Code.Density);
  cbTextAlignment.ItemIndex:=Integer(DBBarCode1.Code.TextAlignment);
  RepositionCode;
end;

end.
